lintian-brush (0.162) unstable; urgency=medium

  * Bump the version of hyper to 1.5

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 11:18:21 +0100

lintian-brush (0.161) unstable; urgency=medium

  * dep3-format-patch-author-or-from-is-better: Cope with commented out
    patches or missing patches in debian/patches/series.
    Closes: #1090998
  * rules-requires-root-missing: only set Rules-Requires-Root when
    dpkg < 1.22.13 needs to be supported, and delete it if only
    dpkg >= 1.22.13 is supported. Closes: #1091929
  * Update hyper used. Closes: #1102593

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Dec 2024 19:10:53 +0000

lintian-brush (0.160) unstable; urgency=medium

  * Fix installing of fixers. Closes: #1090831

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 21:19:06 +0000

lintian-brush (0.159) unstable; urgency=medium

  * Add fixer for dep3-format-patch-author-or-from-is-better
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Nov 2024 13:29:46 +0000

lintian-brush (0.158) experimental; urgency=medium

  * Bump pyo3 to 0.22.
  * Drop dependency on dead python3-pyinotify. Closes: #1075953
  * Add hint about misisng Python package when it can't be found.
  * Rebuild against python 3.12. Closes: #1076706
  * Support newer clap. Closes: #1082363
  * When running fixers, restrict how long they can be running.
    Closes: #1076245

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jun 2024 15:44:16 +0100

lintian-brush (0.157) unstable; urgency=medium

  * Bump breezyshim to latest version.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Jun 2024 19:49:00 +0100

lintian-brush (0.156) unstable; urgency=medium

  * Re-arrange directories to allow publishing individual crates.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Jun 2024 23:28:42 +0100

lintian-brush (0.155) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Bump pyo3 dependency to 0.20, fixing FTBFS. Closes: #1061435

  [ Peter Michael Green ]
  * Add missing build-dependency on librust-pyo3-file-dev

  [ Jelmer Vernooĳ ]
  * When removing calls to deprecated dh_autotools-dev_updateconfig,
    substitute dh_update_autotools_config. Closes: #1071554

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 07 Jun 2024 13:26:47 +0100

lintian-brush (0.154) unstable; urgency=medium

  * Add manpages for deb-vcs-publish, fix-watch-file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Nov 2023 13:30:41 +0000

lintian-brush (0.152) unstable; urgency=medium

  * Fix compatibility with newer rust crates. Closes: #1054839

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 Oct 2023 01:41:32 +0100

lintian-brush (0.151) unstable; urgency=medium

  * Finish conversion of apply-multiarch-hints to rust. Closes:
    #1051766, #1042949
  * Add support for ma-workaround.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Sep 2023 14:17:49 +0100

lintian-brush (0.150) unstable; urgency=medium

  * Scrub environment when running tests.
  * Port the lintian-brush command to rust.
  * Bump breezy dependency to 3.3.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Sep 2023 17:49:50 +0100

lintian-brush (0.149) unstable; urgency=medium

  * Port some core functionality to rust.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Jun 2023 22:57:59 +0100

lintian-brush (0.148) unstable; urgency=medium

  * Bump minimum upstream-ontologist to 0.134.
  * Maintain an explicit list of fields to add to
    debian/upstream/metadata.
  * Migrate from asyncpg to psycopg2.
  * Bump debmutate to 0.66, which fixes shebang-stripping bug - and add
    test.
  * Fill in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Jun 2023 19:04:02 +0100

lintian-brush (0.147) unstable; urgency=medium

  * fix-watch-file: Add --force flag.
  * fix-watch-file: Remember correct set of files to commit.
  * Report diff when encountering whitespace changes that can not be
    preserved.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Feb 2023 01:39:59 +0000

lintian-brush (0.146) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * debianize: Add warning about state of the tool.

  [ Colin Watson ]
  * gpg: Fix crash if home_dir is None.

  [ Jelmer Vernooĳ ]
  * Add fixer for duplicate-font-file.
  * transitional-package-should-be-oldlibs-optional: Preserve archive
    area. Closes: #1029241
  * Update tag name: wrong-debian-qa-group-name => faulty-debian-qa-
    group-phase.
  * Drop init.d-script-needs-depends-on-lsb-base. Closes: #946398

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Jan 2023 14:04:08 +0000

lintian-brush (0.145) unstable; urgency=medium

  * unused-build-dependency-on-cdbs: Cope with missing Build-Depends.
    Closes: #1026052
  * uses-debhelper-compat-file: Only migrate to debhelper-compat for
    stable compat levels. Closes: #1026252

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Dec 2022 15:02:52 +0000

lintian-brush (0.144) unstable; urgency=medium

  * Track site as well.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Dec 2022 09:35:50 +0000

lintian-brush (0.143) unstable; urgency=medium

  * Fix info format fixers for groff-message.
  * Fix spelling error match.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 01:48:54 +0000

lintian-brush (0.142) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Handle missing candidates.
  * Update vim_addon alias; see https://salsa.debian.org/lintian/lintian/-/merge_requests/433
  * Various watch fixes.
  * More watch fixer fixes.
  * Add another possible pattern.
  * Fix style.

  [ Jelmer Vernooij ]
  * Add fix for privacy-breach-google-adsense

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 09 Dec 2022 05:23:33 +0000

lintian-brush (0.141) unstable; urgency=medium

  * Allow removed files.
  * Reformat.
  * Fix repeated-path-segment.
  * Update SPDX license data
  * Update list of fixers in README.md
  * Update key package versions
  * Factor out probe_signature.
  * Lock write.
  * Support generating watch files for Launchpad.
  * Use common _load_json.
  * Error out when there are no candidates.
  * Split out repo URL.
  * Allow reformatting when rewriting.
  * Handle symlink-is-self-recursive

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 12:55:50 +0000

lintian-brush (0.140) unstable; urgency=medium

  * Fix up override info for jar-not-in-usr-share, package-installs-java-
    bytecode, debconf-is-not-a-registry, unused-debconf-template,
    apache2-reverse-dependency-calls-invoke-rc.d.
  * Only remove get-orig-source target in package-only trees in
    opinionated mode.
  * deb-scrub-obsolete: Don't treat Breaks as a Dependency field.
  * Add fixer for application-in-library-section.
  * Use lack of UNRELEASED entries of a signal that gbp-dch is in use.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Dec 2022 10:18:52 +0000

lintian-brush (0.139) unstable; urgency=medium

  * deb-scrub-obsolete: support replacing dependency on transitional
    packages.
  * Add fixer for hardening-no-relro.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 21:39:36 +0000

lintian-brush (0.138) unstable; urgency=medium

  * missing-prerequisite-for-pyproject-backend: don't add :any for all
    packages.
  * handle another case for source-is-missing.
  * Fix version string for ognibuild.
  * Drop deb-upstream-deps: moved to ognibuild.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:42:40 +0000

lintian-brush (0.137) unstable; urgency=medium

  * transitional-package-should-be-oldlibs-optional: Don't move udeb
    packages to oldlibs. Closes: #1024398
  * maintainer-script-emty: Drop certainty for removing empty maintainer
    scripts that are just comments and seem to be intentional.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 23:48:18 +0000

lintian-brush (0.136) unstable; urgency=medium

  * Handle TooManyOpenFiles from inotify, and degrade gracefully.
  * Improve info format upgrade for missing-license-paragraph-in-dep5-
    copyright and missing-license-text-in-dep5-copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 15 Nov 2022 20:31:19 +0000

lintian-brush (0.135) unstable; urgency=medium

  * field-name-typo-in-dep5-copyright: Don't overwrite existing fields.
  * Various formatting improvements.
  * Fix compatibility with upcoming versions of Breezy, with slightly
    modified DirtyTracker API.
  * Add deb-upstream-deps binary.
  * lintian-brush: don't ignore --exclude when there are no fixers
    specified.
  * Add detect-changelog-behaviour executable.
  * Additional verification for debian/watch changes.
  * old-override-info-format: Fix executable-is-not-world-readable
    order.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 10 Nov 2022 18:10:22 +0000

lintian-brush (0.134) unstable; urgency=medium

  * deb-scrub-obsolete: add --keep-minimum-depends-versions option.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Oct 2022 18:31:05 +0000

lintian-brush (0.133) unstable; urgency=medium

  * Add fixer for missing-prerequisite-for-pyproject-backend.
  * typo-in-debhelper-override-target: Don't erroneously correct
    mh_install to dh_install. Closes: #1021899
  * old-override-info-format: Update non-standard-file-perm.
  * Support DEB_COMPAT_RELEASE environment variable.
  * threshold calculattion: Update tag names after changes in lintian.
  * Add significantly more regexes for old-override-info-format.
  * debian-rules-uses-as-needed-linker-flag: Drop related comments as
    well when removing entire line.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 29 Oct 2022 19:28:29 +0100

lintian-brush (0.132) unstable; urgency=medium

  * Add old-override-info-format pattern for uses-dpkg-database-
    directly.
  * old-override-info-format: Don't repeatedly add surrounding []s.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 28 Sep 2022 18:27:24 +0100

lintian-brush (0.131) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * debian-rules-uses-as-needed-linker-flags: don't just reformat linker
    flag lines.
  * detect_gbp_dch: Scan for WIP headers in changelog as well.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gpg and python3-dulwich.
    + lintian-brush: Drop versioned constraint on python3-dulwich in Depends.
    + lintian-brush: Drop versioned constraint on gpg in Recommends.
  * Update standards version to 4.6.1, no changes needed.

  [ Jelmer Vernooĳ ]
  * Rely on check_upstream_metadata to follow redirects. Closes: #948637
  * homepage-field-uses-insecure-uri: Don't update Homepage field if
    https page redirects back to http page. Closes: #977593
  * debian/watch: Replace use of /releases with /tags for GitHub URLs.
  * Cope with setuptools overriding distutils.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Sep 2022 02:54:02 +0100

lintian-brush (0.130) unstable; urgency=medium

  * Include aliases for releases in changelog. Closes: #1018697
  * debian-rules-uses-as-needed-linker-flag: Support removing --as-
    needed from lists with multiple linker flags.
  * malformed-override: fix fixer, add tests.
  * Bump minimum debmutate to 0.56, as that fixes a bug discarding
    comments in control fields.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Sep 2022 13:50:47 +0100

lintian-brush (0.129) unstable; urgency=medium

  * Add fixer old-override-info-format: updates lintian overrides to new
    format. Closes: #1014407
  * package-uses-deprecated-source-override-location: cope with existing
    debian/source/lintian-overrides.
  * Update key versions.
  * debbugs: Fix database connectivity logic.
  * out-of-date-standards-version: Update for 4.6.1.
  * deb-scrub-obsolete(1): Document supported values for RELEASE in
    arguments.
  * Tweak wording in message when tree is dirty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Aug 2022 20:58:14 +0100

lintian-brush (0.128) unstable; urgency=medium

  * Add missing dependency on python3-semver.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 19:45:01 +0100

lintian-brush (0.127) unstable; urgency=medium

  * Fix compatibility with newer python-debian/debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 15:04:03 +0100

lintian-brush (0.126) unstable; urgency=medium

  * Add --yolo argument.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 13:16:34 +0100

lintian-brush (0.125) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Depend on newer brz-debian.
  * Add fixer for new-package-uses-date-based-version-number.
  * Add fixerf for initial-upload-closes-no-bugs.
  * debug-symbol-migration-possibly-complete: avoid removing unnecessary
    overrides when not changing anything.

  [ Geert Stappers ]
  * Actually ship debianize.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 10:17:18 +0100

lintian-brush (0.124) unstable; urgency=medium

  * Add --debian-binary argument to debianize.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 10 Apr 2022 17:02:32 +0100

lintian-brush (0.123) unstable; urgency=medium

  * Drop debian/upstream/metadata: package is native.
  * Add lintian-override for runtime debhelper dependency, which is
    actually necessary.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Make changelog messages for binary-control-field-duplicates-source
    shorter.
  * Support ubuntu/esm, debian/lts, debian/elts as releases.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Feb 2022 21:02:06 +0000

lintian-brush (0.122) unstable; urgency=medium

  * Also check 'Essential: yes' packages when tidying up build dependencies.
    Thanks to Andreas Beckmann for reporting.
  * Only find out once per run whether the changelog should be updated.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 17 Feb 2022 20:05:18 +0000

lintian-brush (0.121) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Don't add reference comment field when License-Reference field exists.
  * Convert index.desc to yaml.

  [ Simon Chopin ]
  * Fix the lintian compatibility code.
  * Relax the lintian-brush version number testing to allow for arbitrary
    suffixes, such as ubuntu1.

  [ Jelmer Vernooĳ ]
  * debian-source-options-has-custom-compression-settings: Drop newline
    in override info.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Feb 2022 23:13:27 +0000

lintian-brush (0.120) unstable; urgency=medium

  * Don't add debhelper dependency when debhelper-compat is present.
    Closes: #1003590

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Jan 2022 23:58:15 +0000

lintian-brush (0.119) unstable; urgency=medium

  * comma-separated-files-in-dep5-copyright: Ignore copyright files that
    are not machine readable.
  * Don't strip whitespace from m4 files.
  * Use workspace interface from newer Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Jan 2022 19:12:06 +0000

lintian-brush (0.118) unstable; urgency=medium

  * Support a UDD_URL environment variable, for contacting an
    alternative UDD.
  * Update to lintian's new tag names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Dec 2021 19:41:30 +0000

lintian-brush (0.117) unstable; urgency=medium

  * Don't assume that no patches means there are is no delta vs
    upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 20:16:42 +0000

lintian-brush (0.116) unstable; urgency=medium

  * Add --team argument to debianize.
  * Fix compatibility with newer versions of lintian. Closes: #1002364

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 22 Dec 2021 14:18:47 +0000

lintian-brush (0.115) unstable; urgency=medium

  * Use dh_assistant for introspection of build systems.
  * deb-scrub-obsolete: Don't touch dependencies on debhelper.
  * Support removing multiple instances of cute-field.
    https://salsa.debian.org/jelmer/debian-janitor/-/issues/239

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Oct 2021 22:10:33 +0100

lintian-brush (0.114) unstable; urgency=medium

  * Add fixer for obsolete-vim-addon-manager.
  * Default to being verbose when silver-platter is in use.
  * comma-separated-files-in-dep5-copyright: Handle bash style
    expansions.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 25 Sep 2021 02:08:50 +0100

lintian-brush (0.113) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Bump dependency on breezy to 3.2.1-1, as older versions lack
    Repository.get_revision_deltas. Closes: #994626

  [ Jelmer Vernooĳ ]
  * Clarify that --allow-reformatting will in some cases strip comments.
    Closes: #946744

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 19 Sep 2021 12:34:00 +0100

lintian-brush (0.112) unstable; urgency=medium

  * Use tqdm for progress bars.
  * Bump debmutate dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 14 Sep 2021 17:26:49 +0100

lintian-brush (0.111) unstable; urgency=medium

  * Fix compatibility with newer versions of lintian. Closes: #993921

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 14 Sep 2021 16:58:45 +0100

lintian-brush (0.110) unstable; urgency=medium

  * deb-scrub-obsolete: Both the compat-release and the upgrade-release
    now default to oldstable.
  * Also check Pre-Depends for ${misc:Depends}. Closes: #993528
  * deb-scrub-obsolete: When dropping versioned depends on an essential
    package, drop the entire dependency. Closes: #988933

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Sep 2021 16:01:52 +0100

lintian-brush (0.109) unstable; urgency=medium

  * deb-scrub-obsolete: Don't drop trailing comma's. Closes: #988932
  * Add another old Debian Python email address.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 Aug 2021 09:36:27 +0100

lintian-brush (0.108) unstable; urgency=medium

  * Don't correct override targets for javahelper commands. Thanks,
    Perry.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Aug 2021 23:29:06 +0100

lintian-brush (0.107) unstable; urgency=medium

  [ Filippo Giunchedi ]
  * maintainer-also-in-uploaders: Remove uploaders field when empty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Jul 2021 17:09:54 +0100

lintian-brush (0.106) unstable; urgency=medium

  * Bump required debmutate.
  * Detect gbp-dch use in repositories with subdirectories.
  * Add fixer typo-in-debhelper-override-target.
  * Add missing test dependency on python3-tomlkit. Closes: #989634
  * Add fixer pkg-js-tools-test-is-missing.
  * Add fixer for pypi-homepage.
  * Add fixer for rubygems-homepage.
  * Drop checks for DEB_BUILT_OPTIONS=nocheck when upgrading to
    debhelper 13.
  * Add support for upgrading to Standards-Version 4.5.1.
  * Fix compatibility with Breezy 3.2. Closes: #989633
  * Fix compatibility with newer versions of upstream-ontologist.
    Closes: #988909

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Jun 2021 09:21:23 +0100

lintian-brush (0.104) unstable; urgency=medium

  * Fix parsing of @if-vendor-is-not in lintian lists files. Closes:
    #986111
  * debian-watch-file-uses-old-github-pattern: Also update watch files
    that uses the 'releases' page.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Mar 2021 18:56:27 +0100

lintian-brush (0.102) unstable; urgency=medium

  * Report how many changes were skipped because of lintian overrides.
    Closes: #982883
  * Various improvements to debianize.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Mar 2021 20:43:53 +0000

lintian-brush (0.101) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Drop unnecesary toml dependencies.
  * Improve handling of generated debcargo fields.
  * Depend on python3-toml to run tests - it's a recommended dependency
    of upstream-ontologist.
  * Add fixer for extended-description-contains-empty-paragraph.
  * Add --allow-reformatting argument to deb-scrub-obsolete.

  [ Richard Laager ]
  * Correct section name for gbp-dch in lintian-brush.conf manapage.

  [ Jelmer Vernooĳ ]
  * Inhibit log file writing when detecting debhelper buildsystem.
    Thanks, Niels Thykier for the suggestion.
  * Don't update changelog for inaugural unreleased entry.

  [ Gordon Ball, Jelmer Vernooĳ ]
  * Add fixer debian-watch-file-uses-old-github-pattern.

  [ Jelmer Vernooĳ ]
  * Add fixer to remove obsolete maintscript entries. Closes: #959815

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Mar 2021 17:57:18 +0000

lintian-brush (0.100) unstable; urgency=medium

  * Drop ognibuild to recommends; it's only used by debianize.
  * Read field lists from lintian.
  * Add support for fixing some things in debcargo.toml.
  * Enable upstream signing key updating.
  * debian-rules-uses-as-needed-linker-flag: handle exporting of
    variables without assignment.
  * declares-possibly-conflicting-debhelper-compat-versions: Remove
    debian/compat if it conflicts with control field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 06 Mar 2021 05:03:32 +0000

lintian-brush (0.99) unstable; urgency=medium

  * Also update 'set -e' in postrm files. Closes: #983347

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Feb 2021 17:53:37 +0000

lintian-brush (0.98) unstable; urgency=medium

  * Add fixer for cute-field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 22 Feb 2021 16:29:57 +0000

lintian-brush (0.97) unstable; urgency=medium

  * Drop DEB_LDFLAGS_MAINT_APPEND ratther than leaving it empty.
  * Add fixer for obsolete-url-in-packaging.
  * Add basic fixer for debian-rules-parses-dpkg-parsechangelog.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 21 Feb 2021 23:41:21 +0000

lintian-brush (0.96) unstable; urgency=medium

  * Add fixer for debian-rules-uses-special-shell-variable.
  * Depend on newer version of debmutate, fixing maintscript
    manipulation.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 15 Feb 2021 19:24:59 +0000

lintian-brush (0.95) unstable; urgency=medium

  * Add fixer for debian-rules-uses-as-needed-linker-flag.
  * Use rules module from debmutate.
  * deb-scrub-obsolete: don't edit build dependencies for cdbs packages.
    Closes: #981528
  * Explicitly depend on now-split-out upstream-ontologist package.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 01:03:17 +0000

lintian-brush (0.94) unstable; urgency=medium

  * debhelper-but-no-misc-depends: Also handle debhelper-compat.
  * Strip superfluous commas.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Jan 2021 00:36:32 +0000

lintian-brush (0.93) unstable; urgency=medium

  * Improve locking for bzr branches.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 Jan 2021 21:55:38 +0000

lintian-brush (0.92) unstable; urgency=medium

  * Handle multiple instances of Reference: field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 Jan 2021 22:22:44 +0000

lintian-brush (0.91) unstable; urgency=medium

  * Bump minimum version of debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 04 Jan 2021 15:49:19 +0000

lintian-brush (0.90) unstable; urgency=medium

  * Fix use of deb-scrub-obsolete, and add test. Closes: #978982

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Jan 2021 17:58:57 +0000

lintian-brush (0.89) unstable; urgency=medium

  * Add dependency on newer lintian - required for successful test runs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Dec 2020 20:02:09 +0000

lintian-brush (0.88) unstable; urgency=medium

  * Add fixer for public-upstream-key-in-native-package.
  * Add fixers for setting pgpsigurlmangle and creating
    debian/upstream/signing-key.asc. This effectively does TOFY -
    it'll at least allow catching of changes in the signing key in the future.
    Disabled for the moment, until watch file support in debmutate stabilizes.
  * Update tag names to match lintian. Closes: #976503

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 06 Dec 2020 21:04:32 +0000

lintian-brush (0.87) unstable; urgency=medium

  * Cope with empty watch files. Closes: #974958
  * Add fixer for malformed-override.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Nov 2020 00:19:01 +0000

lintian-brush (0.86) unstable; urgency=medium

  * Hide fixer for upstream-metadata-in-native-source behind --
    opinionated.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 10 Nov 2020 16:32:53 +0000

lintian-brush (0.85) unstable; urgency=medium

  * Add fixer debian-watch-file-old-format.
  * Don't remove unused overrides for the rc-version-greater-than-
    expected-version tag, which is intermittent.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Nov 2020 04:35:06 +0000

lintian-brush (0.84) unstable; urgency=medium

  * Avoid loading overrides multiple times, handle renamed tags in
    overrides.
  * Don't remove the Testsuite header for packages compatible with dpkg
    < 1.17.1.
  * Automate updating of information about key packages in different
    releases.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 01 Nov 2020 17:41:16 +0000

lintian-brush (0.83) unstable; urgency=medium

  * Add guide on writing fixers to doc/.
  * Add fixer for newer-debconf-template - disabled for now.
  * Add fixer for field-name-typo-in-tests-control.
  * Set Security-Contact in debian/upstream/metadata when SECURITY.md is
    present.
  * apply-multiarch-hints: Fix typo in commit message: s/:all/:any/.
  * Require at least gpg 2.1, for import-export support.
  * Use --armor rather than --enarmor when converting signing-key.pgp
    files to signing-key.asc files. Thanks, Simon Josefsson, for
    reporting.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 29 Oct 2020 20:40:30 +0000

lintian-brush (0.82) unstable; urgency=medium

  * pkg-perl-vcs: Add fixer for team/pkg-perl/vcs/no-team-url and
    team/pkg-perl/vcs/no-git.
  * Add fixer for team/pkg-perl/testsuite/no-testsuite-header.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 12 Oct 2020 17:30:14 +0000

lintian-brush (0.81) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Rename papt-dpmt-merged to python-teams-merged.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Oct 2020 10:20:56 +0000

lintian-brush (0.80) unstable; urgency=medium

  * Fix changelog update detection when running lintian-brush in shallow
    git repositories.
  * Add guessing from repology. Closes: #959827
  * Add fixer for maintainer-script-empty.
  * Add deb-scrub-obsolete script for removing obsolete version constraints.
  * Add fixer for debian-watch-contains-dh_make-template.
  * Bump debmutate to 0.9.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Sep 2020 19:25:41 +0000

lintian-brush (0.79) unstable; urgency=medium

  * Add fixer for papt-dpmt-merged.
  * Add fixers for old-dpmt-vcs and old-papt-vcs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 25 Sep 2020 14:12:49 +0000

lintian-brush (0.78) unstable; urgency=medium

  * Support creating patches to upstreams in the case when there are no
    existing upstream patches.
  * Depend on newer debmutate (>= 0.6).
  * When removing lintian overrides, also drop the associated comments.
  * In control files, don't create new empty lines when stripping
    whitespace.
  * Bump default urgency to medium. See
    https://salsa.debian.org/jelmer/debian-janitor/-/issues/138
  * Fix branch from vcswatch in --diligent mode.
  * apply-multiarch-hints: fix Changes-by field.
  * debianize: Make breezy-debian optional.
  * Add debianize(1) manpage.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Sep 2020 18:01:20 +0000

lintian-brush (0.77) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Scan for 'fossil clone' commands in README.
  * Add debhelper compat versions for some more ubuntu releases.

  [ Edwards Betts ]
  * Correct several spelling mistakes.

  [ Jelmer Vernooĳ ]
  * Add --scan option to guess-upstream-metadata.
  * Convert debian/upstream/metadata with multiple documents to a single
    document.
  * Add fixer field-name-typo-in-upstream-metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 07 Sep 2020 22:26:31 +0000

lintian-brush (0.76) unstable; urgency=medium

  * Add some notes about debugging fixer scripts to manual page.
  * empty-debian-tests-control: Cope with NotADirectory errors.
  * Handle spacing around field names in Yaml files.
  * field-name-typo-in-dep5-copyright: Rename X- fields where
    appropriate in debian/copyright.
  * Add support for JSON style debian/upstream/metadata files.
  * Scan debian/get-orig-source.sh for upstream metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Aug 2020 02:30:11 +0000

lintian-brush (0.75) unstable; urgency=medium

  * Fix anongit.kde.org URLs to use https:.
  * debian-rules-sets-dpkg-architecture-variable: Rather than including
    /usr/share/dpkg/architecture.mk, change to soft assignment type by
    default.
  * Add fixer public-upsteam-key-binary.
  * Add fixer for upstream-metadata-not-yaml-mapping.
  * Probe for gitlab URLs.
  * Only remove overrides if asyncpg is available to contact UDD.
    fixers/unused-override.py
  * debian-watch-file-is-missing: Cope with the fact that a python
    package may not be on pypi.
  * Avoid inserting extra /git/ when converting savannah Git URLs from
    http to https.
  * Scan lowercase readme files as well, when looking for upstream
    metadata.
  * package-uses-deprecated-debhelper-compat-version: when
    './configure' is a directory, don't attempt to scan it.
  * Stop suggesting cgit.kde.org and anongit.kde.org URLs in
    debian/upstream/metadata; they've been replaced by invent.kde.org.
  * Update tag names to match changes in lintian:
   + Rename no-maintainer-field and package-has-no-description to
     required-field
   + Rename no-section-field, no-section-field-for-source and
     no-priority-field to recommended-field
   + Rename rules-requires-root-missing to silent-on-rules-requiring-root
  * Fix handling of multiple targets in Makefile rules.
  * upstream-metadata-invalid: Fix duplicate fields in
    debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 09 Aug 2020 13:39:19 +0000

lintian-brush (0.74) unstable; urgency=medium

  * Fix regression: allow fixers without declared certainty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Jul 2020 01:02:35 +0000

lintian-brush (0.73) unstable; urgency=medium

  * Fix handling of interrupted lines.
  * Group arguments in help output.
  * Add fixer for rules-requires-root-missing. Thanks, Guilhem.
    Closes: #965934
  * Add --uncertain option which makes changes with lower certainty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Jul 2020 00:50:12 +0000

lintian-brush (0.72) unstable; urgency=medium

  * Handle accidental scm: location strings in repository browse tags in
    pom.xml files.
  * Add missing dependency on bs4.
  * Depend on debmutate for most editing functionality.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jul 2020 01:25:23 +0000

lintian-brush (0.71) unstable; urgency=medium

  * When dropping get-orig-source target, also update .PHONY.
  * Remove .PHONY when removing a component from it leaves it empty.
  * Add support for reading upstream metadata from pom.xml.
  * Convert private VCS URLs to public URLs, e.g. on salsa or GitHub.
  * maintainer-script-without-set-e: Improve spacing.
  * uses-debhelper-compat-file: support debhelper dependencies in Build-
    Depends-Indep or Build-Depends-Arch.
  * When removing duplicate lines from a changelog, also drop any
    sections that may be left empty.
  * Properly update changelog entries without trailer.
  * When removing debug symbol migration commands, be more aggressive
    cleaning up commands.
  * Add Changes-By in commit message. Related to #946801
  * Add basic fixer for generating copyright files using decopy, not run
    by default.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 30 Jun 2020 17:34:59 +0000

lintian-brush (0.70) unstable; urgency=medium

  * systemd-service-file-pidfile-refers-to-var-run: Also update other
    references to pid file.
  * built-using-field-on-arch-all-package: Only fix for golang packages
    for now.
  * Drop use of pkginfo and just use email.message to parse PKG-INFO
    files.
  * Add support for retrieving upstream metadata from Cargo.toml.
  * license-file-listed-in-debian-copyright: Properly remove Files
    entries with just newlines.
  * Update to follow renames of tags in lintian 2.80.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Jun 2020 22:43:10 +0000

lintian-brush (0.69) unstable; urgency=medium

  * debian-changelog-line-too-long: Only claim lintian tags were fixed
    when fixing long lines in the last changelog entry.
  * Only scan for 'DO NOT EDIT' in the header of control files. Closes:
    #961601
  * Fix handling of version increases when the existin version ends in
    something that is not a digit.
  * Handle MemoryError from fixers, rather than letting them crash all
    of lintian-brush. Closes: #961810
  * Add really basic package-has-no-description fixer. Certainty for
    this fixer is set to 'possible', so it is not run by default.
  * Add fixer for no-section-field and no-section-field-for-source.
  * Add fixer for no-maintainer-field.
  * Add fixer for no-priority-field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 31 May 2020 00:23:09 +0000

lintian-brush (0.68) unstable; urgency=medium

  * missing-build-dependency-for-dh_-command: Support checking Build-
    Depends-Indep and Build-Depends-Arch.
  * Properly break lines when adding changelog entries.
  * Improve detection of Gbp-Dch style packages, and output reasoning.
  * Only remove 'Team Upload.' lines in open changelog entries.
  * Print out both committer and changelog identity in --identity.
  * Cache the multi-arch hints in apply-multiarch-hints.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 25 May 2020 21:45:25 +0000

lintian-brush (0.67) unstable; urgency=medium

  * Fix regression when adding a new stanza to an existing changelog
    entry with a single author and more than one bullet point.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 May 2020 22:32:10 +0000

lintian-brush (0.66) unstable; urgency=medium

  * Directly edit debian/changelog rather than calling out to dch:
   + Allows adding more details in changelog entries.
   + In apply-multiarch-hints, actually list what changes were made.
   + Possibly addresses #960853.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 May 2020 18:28:35 +0000

lintian-brush (0.65) unstable; urgency=medium

  * Explicitly set vendor when running tests; fixes tests running on
    Ubuntu. Closes: #960832
  * Don't just strip whitespace from license paragraphs in copyright-
    refers-to-symlink-license.
  * Improve detection of packages that use gbp-dch by also scanning
    their history for behaviour around gbp dch.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 May 2020 01:26:26 +0000

lintian-brush (0.64) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Only check GitHub repository for moved repository info if it is set.

  [ Sandro Knauß ]
  * Add fixer for license-file-listed-in-debian-copyright.

  [ Jelmer Vernooĳ ]
  * Read dh commands from the lintian files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 May 2020 14:33:36 +0000

lintian-brush (0.63) unstable; urgency=medium

  * Clean up unnecessary 'dh_missing --fail-missing' when upgrading to
    debhelper 13. Closes: #959823
  * Add document start when adding new YAML files. Closes: #958413
  * Check Debian bugs when correcting Close => Closes.
  * debian-changelog-file-contains-obsolete-user-emacs-settings: Only
    remove add-log-mailing-address, not mode lines.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 May 2020 20:09:03 +0000

lintian-brush (0.62) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Bump maximum debhelper compat version in sid to 13. Closes: #958775
  * Handle old style freedesktop git URLs with /git/ prefix.
  * Don't remove name/contact from upstream metadata if different from
    copyright. Closes: #948948
  * Extract Git repository URLs from debian/watch in git mode.
  * Add fixer for uses-deprecated-adttmp.
  * Downgrade the certainty for some upstream URLs, unless they can be
    verified in some way.

  [ Niels Thykier ]
  * Migrate tmpfile to tmpfiles when upgrading to compat 13.

  [ Jelmer Vernooĳ ]
  * debian-changelog-line-too-long: Be careful about joining lines that
    aren't too long in entries that do have long lines. Closes: #959496
  * debian-source-options-has-custom-compression-settings: Don't break
    on empty debian/source/options files.
  * Add fixer for binary-control-field-duplicates-source.
  * Process overrides in unused-license-paragraph-in-dep5-copyright.
  * debian-rules-uses-unnecessary-dh-argument: Deal with argument
    negation on the % target.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 May 2020 22:16:19 +0000

lintian-brush (0.61) unstable; urgency=medium

  * Fix a bug incorrectly removing used license stanzas with license
    exceptions in debian/copyright.
  * Report when the upstream-metadata-missing-repository and upstream-
    metadata-missing-bug-tracking tags are fixed.
  * Add fixer for upstream-metadata-in-native-source.
  * Preserve @cdbs@ in debian/control.in in cdbs packages.
  * Add support for updating to Standards-Version 4.5.0 in some cases.
  * Don't create watch files for native packages.
  * Add support for parsing upstream metadata from cabal files.
  * Try to identify upstream repositories that have moved.
    Closes: #955453
  * debian-watch-file-uses-deprecated-githubredir: Don't remove watch
    files with just empty comments. Closes: #958678

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Apr 2020 23:04:27 +0000

lintian-brush (0.60) unstable; urgency=medium

  * missing-build-dependency-for-dh_-command: Don't break on empty
    lines. Closes: #953392
  * Fix bug in detection of secure versions of Vcs-* URLs. Closes:
    #954034
  * Fix a corner case removing items from --with arguments.
  * In verbose mode, report when the fixer script made changes but they
    were not high enough certainty.
  * debian/watch: Strip leading spaces in version > 3.
  * Add gitlab.labs.nic.cz to list of GitLab hosting sites.
  * missing-build-dependency-for-dh_-command: Don't add unnecessary
    build deps.
  * List git.openstack.org as known hosting site.
  * Scan debian/rules for hints of upstream repository URL.
  * Support finding upstream KDE repositories.
  * Some improvements to creating of watch files from GitHub projects.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Apr 2020 17:11:01 +0000

lintian-brush (0.59) unstable; urgency=medium

  * unused-license-paragraph-in-dep5-copyright: downgrade certainty when
    license is mentioned elsewhere.
  * Look for custom patches directory in debian/rules.
  * Document the --dry-run option in lintian-brush(1). Closes: #953161
  * lintian-brush.conf.5: Clarify syntax of compat-release, location of
    file. Closes: #953164

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Mar 2020 14:31:37 +0000

lintian-brush (0.58) unstable; urgency=medium

  * Add override for autotools-pkg-config-macro-not-cross-compilation-
    safe, which correctly (but intentionally) gets triggered for our
    test.
  * Improve handling of long lines in debian/changelog, especially when
    dealing with subitems.
  * Ignore rather than print tracebacks when mandatory fields in
    debian/control are missing.
  * When generating watch files for pypi, check package details against
    the API.
  * Strip related comments when removing options from
    debian/source/options.
  * Keep copies of the BSD license inlined, but rename BSD => BSD-3-
    clause (per the spec).
  * Don't remove patch files that are present but not mentioned in
    series unless --opinionated is specified.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Feb 2020 02:35:54 +0000

lintian-brush (0.57) unstable; urgency=medium

  * Add fixer for debian-changelog-line-too-long.
  * Add fixer for misspelling-in-bug-closes.
  * Add some initial code for cleaning up unused lintian overrides.
  * Drop the no-dh-sequencer fixer.
  * Drop unnecessary --with=systemd if debhelper 10 is in use. Closes:
    #949818
  * Add fixer for unused-override. Closes: #932528
  * Properly parse exceptions in license synopsis.
  * Add fixer for autotools-pkg-config-macro-not-cross-compilation-safe.
  * Ship a renamed-tags.json file, since the upstream file has
    disappeared. Closes: #950321

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 31 Jan 2020 11:29:12 +0000

lintian-brush (0.56) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Attempt to keep preferred order of fields in YAML files.
  * Don't write debian/upstream/metadata when just setting name. Closes:
    #948276
  * debian/upstream/metadata: Insert new entries alphabetically. Closes:
    #948155
  * Try harder to avoid rewriting YAML files.

  [ Sven Joachim ]
  * Fix Vcs-{Git,Browser} fields.

  [ Jelmer Vernooĳ ]
  * Add fixer for missing-build-dependency-for-dh_-command.
  * Add fixer for missing-build-dependency-for-dh-addon.
  * s/licence/license/g

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Jan 2020 22:21:59 +0000

lintian-brush (0.55) unstable; urgency=medium

  * Fix verification of Bug-Submit URLs for github.com.
  * Fix handling of non-default encodings in debian/patches.
  * Use dh $@ sequencer.
  * Change the commit message style so the footer is short, human-readable
    and parseable. Closes: #946803

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jan 2020 13:46:10 +0000

lintian-brush (0.54) unstable; urgency=medium

  * Fix accidental removal of dh overrides with just conditions.
  * Disable the skip-systemd-native-flag-missing-pre-depends fixer for now,
    since it is too naive.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Jan 2020 17:43:21 +0000

lintian-brush (0.53) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Be a bit quieter when unable to contact udd.
  * Filter out duplicate lines in the last last changelog entry.
  * Add manpage for guess-upstream-metadata(1).
  * Cope with non-UTF8 R DESCRIPTION files.
  * Only mention whether changelog will be updated once per run.

  [ Topi Miettinen ]
  * Add fixer and test for systemd-service-file-shutdown-problems.

  [ Jelmer Vernooĳ ]
  * Refactor systemd support.
  * Add fixer for systemd-service-alias-without-extension.
  * Add fixer for systemd-service-file-refers-to-obsolete-bindto.
  * Add fixer for systemd-service-file-refers-to-obsolete-target.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 01 Jan 2020 21:10:22 +0000

lintian-brush (0.52) unstable; urgency=medium

  * Fix regression recognizing versioned common license files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Dec 2019 02:19:37 +0000

lintian-brush (0.51) unstable; urgency=medium

  * Add fixers for:
     copyright-refers-to-symlink-license,
     copyright-refers-to-versionless-license-file.
  * Add fixers for:
     copyright-should-refer-to-common-license-file-for-gpl,
     copyright-should-refer-to-common-license-file-for-gfdl,
     copyright-should-refer-to-common-license-file-for-lgpl,
     copyright-file-contains-full-apache-2-license,
     copyright-file-contains-full-gfdl-license,
     copyright-file-contains-full-gpl-license.
  * Add fixer for desktop-entry-contains-encoding-key.
  * Add fixers for desktop-entry-file-has-crs and executable-desktop-
    file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Dec 2019 01:20:52 +0000

lintian-brush (0.50) unstable; urgency=medium

  * Add fixer for copyright-does-not-refer-to-common-license-file.
  * Add fixer for copyright-should-refer-to-common-license-file-for-
    apache-2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Dec 2019 22:12:34 +0000

lintian-brush (0.49) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add support for upgrading from standards version 4.1.4 -> 4.1.5.
  * Determine secure and browser URLs from Savannah Git URLs; thanks to
    Romain Francoise for the report.
  * Include trailing '.git' in salsa VCS URLs.
  * Guess bug database from forwarded field in debian patches.
  * Add fixer for no-dh-sequencer.
  * Ship a guess-upstream-metadata binary.

  [ Colin Watson ]
  * unnecessary-team-upload: Fix typo in changelog message.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Dec 2019 17:16:42 +0000

lintian-brush (0.48) unstable; urgency=medium

  * For esthetic reasons, keep Description as the last field in binary
    package stanzas.
  * Handle commented out patches in patch-file-present-but-not-mentioned-
    in-series.
  * Add fixer for skip-systemd-native-flag-missing-pre-depends.
  * Reintroduce fixer for removal of empty patches, but hide behind --
    opinionated.
  * Add fixer for invalid-standards-version.
  * Add fixer for declares-possibly-conflicting-debhelper-compat-
    versions.
  * Add fixer for debug-symbol-migration-possibly-complete.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 17:20:33 +0000

lintian-brush (0.47) unstable; urgency=medium

  * Add apply-multiarch-hints script.
  * Add --opinionated option. Closes: #942604
  * useless-autoreconf-build-depends: Depend on debhelper (>= 10~)
    rather than (>= 10). Closes: #946743
  * Don't remove expired keys from upstream signing key. Closes: #946407

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 14:50:44 +0000

lintian-brush (0.46) unstable; urgency=medium

  * Downgrade certainty of init.d-script-needs-depends-on-lsb-base fixer
    because of false positives, effectively disabling it. Partially addresses
    #946398
  * Don't drop autoreconf if we can't upgrade debhelper beyond 9.
  * Prevent unnecessary includes of /usr/share/dpkg/architecture.mk.
    Closes: #946414
  * Add a --exclude flag.
  * Attempt to preserve YAML directives in debian/upstream/metadata, if
    present. See #946413
  * Disable setting of the Screenshots field in debian/upstream/metadata
    to individual files; it seems likely these will get stale and become
    a source of toil.
  * Don't keep debian/upstream/metadata files with just the Archive
    field set.
  * Add fixer for debian-rules-missing-recommended-target.
  * possible-missing-colon-in-closes: Cope with phrases like 'partially
    closes'.
  * Fix handling of empty Build-Depends in build-depends-on-{build-
    essential,obsolete-package}.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 12 Dec 2019 23:54:23 +0000

lintian-brush (0.45) unstable; urgency=medium

  * Improve plural vs singular in commit messages and changelog
    messages.
  * Support whitespace before conditionals in makefiles.
  * Support options in debian/patches/series.
  * Drop the empty-debian-patches-series file, which has proved
    controversial.
  * Double-check bug numbers when adding missing colons in closes:
    stanzas. Closes: #946338
  * Don't update changelog if there are only gbp-dch entries in the
    current changelog entry. Closes: #946339
  * Fixup outdated freedesktop.org repository URLs.
  * Use canonical and secure repository URIs in
    debian/upstream/metadata.
  * Downgrade certainty of e-mail addresses in configure-reported bug
    submit addresses.
  * Fix reporting of fixed tag out-of-date-copyright-format-uri. Thanks,
    Mattia Rizzolo.
  * When vcswatch only has an updated Vcs-Git URL but not a Vcs-Browser
    field, automatically attempt to determine Vcs-Browser URL.
  * Don't update URLs in comments in watch files. Closes: #946254

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Dec 2019 14:18:27 +0000

lintian-brush (0.44) unstable; urgency=medium

  * Cope with continuations at the end of debian/rules files.
  * Add fixer for debian-rules-not-executable.
  * Add (for now) hidden --compat-release option.
  * Don't strip comments when minimizing upstream keys. Closes: #942719
  * Report lintian tag fixed for tab-in-licence-text.
  * Add fixer for wrong-section-according-to-package-name.
  * Look for [dch] section in gbp.conf when guessing whether to update
    changelog.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Dec 2019 03:22:22 +0000

lintian-brush (0.43) unstable; urgency=medium

  * Add fixer for font-package-not-multi-arch-foreign.
  * Actually install lintian-brush.conf(5) manpage.
  * Don't drop unnecessary overrides unless making other changes.
  * Disable credentials prompting when probing VCS URLs. Closes: #942648

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 28 Nov 2019 08:43:50 +0000

lintian-brush (0.41) unstable; urgency=medium

  * Probe Homepage URL for VCS attributes.
  * Fix finding of upstream repository for SourceForge projects.
  * Pick up GitHub issues locations from README.
  * Don't leave behind backup files when comparing uscan watch files.
  * dh-quilt-addon-but-quilt-source-format: only drop quilt if package
    is on the 3.0 (quilt) format.
  * Add lintian-brush.conf(5) manpage.
  * Add an update-changelog variable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Nov 2019 04:36:35 +0000

lintian-brush (0.40) unstable; urgency=medium

  * Fix stripping the last argument to --with.
  * Set somewhat more aggressive timeout for HTTP requests.
  * Properly cope with trailing commas when adding dependencies.
  * Replace spaces with dashes in license ids, for all SPDX license
    names. Closes: #942722
  * Update standards version to 4.4.1, no changes needed.
  * Remove unnecessary 'git' usernames from salsa and github URLs.
  * Fix including branch names for GitHub URLs.
  * Don't remove Built-Using variables that are unrelated to go.
  * Support more complex alioth URLs.
  * Support updating non-trivial debhelper dependencies.
  * init.d-script-needs-depends-on-lsb-base: don't add lsb-base
    dependency if one already exists.
  * Migrate python_distutils arguments to pybuild.
  * Fix debhelper argument order when upgrading to debhelper 12.
  * Don't attempt to upgrade to debhelper X when already on X.
  * Make sure dpkg architecture flags are not included after custom
    assignments.
  * patch-file-present-but-not-mentioned-in-series: Don't remove files
    that start with 'README'.
  * Don't upgrade beyond debhelper 10 when configure doesn't provide --
    runstatedir and autoreconf is explicitly disabled.
  * Properly handle empty lines when updating makefiles.
  * Fixup extra : in the netloc part of git URLs.
  * upstream-metadata-file-is-missing: Don't drop Name and Copyright
    from debian/upstream/metadata if debian/copyright is not machine-
    readable.
  * Eliminate unnecessary overrides in debian/rules. Closes: #944530
  * upstream-metadata-file: Attempt to set Bug-Database and Bug-Submit.
  * Put dh_missing calls into their own rule. Closes: #944531
  * Support parsing continuation lines in makefiles. Closes: #942594
  * Properly migrate --fail-missing on default dh rule.
  * Replace unicode line breaks in debian/copyright with standard ones.
  * Properly report when fixing uses-debhelper-compat-file.
  * Handle conditionals in makefiles. Closes: #945370
  * Add fixer for debian-rules-contains-unnecessary-get-orig-source-
    target.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Nov 2019 03:02:52 +0000

lintian-brush (0.38) unstable; urgency=medium

  * Add missing dependency on libdebhelper-perl for autopkgtest.
  * Add support for bumping to standards version 4.4.1.
  * Support replacing deprecated --same-arch with --arch.
  * copyright-continued-lines-with-space: allow copyright file to be
    missing.
  * Fix test_changelog reproducibility.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Oct 2019 15:21:53 +0000

lintian-brush (0.37) unstable; urgency=medium

  * package-uses-deprecated-debhelper-compat-version: Add
    --buildsystem=pybuild when upgrading Python packages to debhelper 12.
  * Add various more aliases for salsa team names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 18 Oct 2019 17:34:35 +0000

lintian-brush (0.36) unstable; urgency=medium

  * debian-control-has-unusual-field-spacing: don't update files with
    unknown template types.
  * Support parsing some more format salsa URLs.
  * Add pkg-sugar, pkg-phototools, pkg-netmeasure, pkg-hamradio, pkg-sass
    alias.
  * Ignore broken package.xml files.
  * copyright-continued-lines-with-space: Ignore missing copyright
    files.
  * debian-control-has-obsolete-dbg-package: support cdbs if dbg package
    is added with debhelper.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 15 Oct 2019 09:34:25 +0000

lintian-brush (0.35) unstable; urgency=medium

  * Fix handling of dictionaries for the 'repository' field in META.yml.
  * debian-control-has-obsolete-dbg-package: Don't bump debhelper
    version unless there are -dbg packages.
  * Add fixer debhelper-compat-wrong-field.
  * Support updating templated debian/control files that use cdbs
    template.
  * Cope with warnings from dch that require confirmation. Closes:
    #941767
  * unused-build-dependency-on-cdbs: Don't error out if there is no
    Build-Depends field.
  * debian-rules-uses-unnecessary-dh-argument: Cope with non-debhelper
    packages.
  * Cope with comments in debian/compat.
  * maintainer-also-in-uploaders: Support removing only item in the
    list.
  * Add build-dependency on devscripts, for dch tests.
  * debian-watch-file-is-missing: fall back to running setup with
    python2 if python3 does not work.
  * Add fixer copyright-continued-lines-with-space.
  * Ignore symlinks when updating service files.
  * debian-control-has-obsolete-dbg-package: support --dbg-package
    arguments in dh lines.
  * out-of-date-standards-version: don't update standards version if
    none is set.
  * package.json: bugs field can be a dict.
  * upstream-metadata: Don't fail when META.yml file fails to parse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 Oct 2019 19:59:21 +0000

lintian-brush (0.34) unstable; urgency=medium

  * Add support for renamed tag: rules-requires-root-implicitly -> rules-
    requires-root-missing.
  * unused-license-paragraph-in-dep5-copyright: Ignore
    NotMatchineReadableError.
  * vcs-field-bitrotted: don't include URLs that vcswatch reports as
    errorring.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 04 Oct 2019 02:02:36 +0000

lintian-brush (0.33) unstable; urgency=medium

  * Support multi-line git commands in README files.
  * Fix existing repository URLs in debian/upstream/metadata.
  * Add basic bash completion support. Closes: #939132
  * Set Rules-Requires-Root field.
  * Add basic zsh completion support.
  * Add fixer for older-source-format.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 04 Oct 2019 00:43:58 +0000

lintian-brush (0.32) unstable; urgency=medium

  * Add flag to disable interaction with external services.
  * Don't print error messages when unable to update non-machine-
    readable copyright files.
  * Support postgresql debian/control.in templates.
  * Add fixer for init.d-script-needs-depends-on-lsb-base.
  * Add fixer for unused-license-paragraph-in-dep5-copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Sep 2019 00:03:44 +0000

lintian-brush (0.31) unstable; urgency=medium

  * debian-rules-sets-dpkg-architecture-variable: actually drop variable
    when include is already present.
  * debian-changelog-has-wrong-day-of-week: Properly ignore unparseable
    dates.
  * Preserve ordering when replacing a debhelper dependency with a
    debhelper-compat one. Closes: #939077

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Sep 2019 14:31:49 +0000

lintian-brush (0.30) unstable; urgency=medium

  * Show tree status when there are pending changes and --verbose is on.
  * Don't complain about generated files unless there is a change that
    can be made to a file.
  * Support updating generated GNOME control files.
  * Add basic support for optional debian/lintian-brush.conf
    configuration file in packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Sep 2019 01:20:39 +0000

lintian-brush (0.29) unstable; urgency=medium

  * Fix support for newer versions of Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Sep 2019 20:28:15 +0000

lintian-brush (0.28) unstable; urgency=medium

  * Add fixer for obsolete-runtime-tests-restriction.
  * Add fixer for debian-changelog-has-wrong-day-of-week.
  * Separately report when fixers can't preserve formatting.
  * field-name-typo-in-dep5-copyright: Fix preservation of fields when
    the only change is in the case.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 02 Sep 2019 02:34:58 +0000

lintian-brush (0.27) unstable; urgency=medium

  * Add fixer for package-contains-linda-overrides.
  * Add fixer for excessive-priority-for-library-package.
  * Add fixer for debian-rules-sets-dpkg-architecture-variable.
  * Add fixers for missing-built-using-field-for-golang-package and
    built-using-field-on-arch-all-package.
  * Add fixer for debian-control-has-unusual-field-spacing.
  * Support running in packages that are not at the repository root.
  * Print an error message if a fixer could not be found. Closes:
    #939131
  * Update standards version, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Don't create upstream metadata files for native packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 01 Sep 2019 22:44:21 +0000

lintian-brush (0.26) unstable; urgency=medium

  * quilt-series-but-no-build-dep: only add quilt dependency if one does
    not yet exist.
  * vcs-field-bitrotted: do not add duplicate -b arguments.
  * Ignore empty watch files, rather than printing an error.
  * configure parser: Ignore invalid encoding characters in lines that
    are ignored anyway.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Aug 2019 22:13:26 +0000

lintian-brush (0.25) unstable; urgency=medium

  * Support pear 2.1 packages.
  * Support labels in the URLS field in DESCRIPTION files.
  * Improve guessing of repository URLs from GitLab URLs.
  * Use fake times for GPG operations, to make the testsuite runs
    reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 24 Aug 2019 14:24:56 +0000

lintian-brush (0.24) unstable; urgency=medium

  * Add fixer for quilt-series-but-no-build-dep.
  * Add fixer for unused-build-dependency-on-cdbs.
  * Add fixer for debian-rules-uses-unnecessary-dh-argument.
  * Rather than setting Name/Contact fields in debian/upstream/metadata,
    set them in debian/copyright.
  * Remove obsolete Name/Contacts fields from debian/upstream/metadata,
    at least for now. See https://lists.debian.org/debian-
    devel/2019/08/msg00408.html for background.
  * Ignore empty variables when parsing configure file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 22 Aug 2019 19:50:48 +0000

lintian-brush (0.23) unstable; urgency=medium

  * In debian-source-options-has-custom-compression-settings.py, don't
    crash on options that are not key/value.
  * Add fixer for comma-separated-files-in-dep5-copyright.
  * Disable strict parsing of copyright file.
  * Support reading upstream metadata from configure.
  * Add fixer for libmodule-build-perl-needs-to-be-in-build-depend.
  * Add fixer for space-in-std-shortname-in-dep5-copyright.
  * Add support for reading R DESCRIPTION files.
  * Add fixer for no-homepage-field.
  * Add fixer for debian-tests-empty-control.
  * Add fixer for homepage-in-binary-package.
  * Fix Git URLs with the branch name in the URL rather than with -b
    argument.
  * Add fixer for maintainer-also-in-uploaders.
  * Ignore comments in debian/source/options.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Aug 2019 08:45:13 +0000

lintian-brush (0.22) unstable; urgency=medium

  * Ignore github URLs with just a single paths component when looking
    for repo URLs.
  * Support upgrading from --no-restart-on-upgrade
  * Fix guessing from launchpad URLs.
  * Add fixer for debian-watch-file-uses-deprecated-githubredir.
  * Don't attempt to upgrade cdbs packages to anything over debhelper
    10.
  * Don't complain about reformatting issues if no changes have been
    made.
  * Support removing upstart conffiles as part of upgrade to debhelper
    11.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Aug 2019 20:38:35 +0000

lintian-brush (0.21) unstable; urgency=medium

  * Use vcswatch-like regex to find salsa.debian.org.
  * Support suggesting Vcs-* URLs based on vcswatch.
  * Avoid adding unnecessary spacing when removing first dependency from
    a control field.
  * Don't print confusing warning message about directories under
    debian/patches/.
  * Add fixer for vcs-field-bitrotted.
  * Add fixer for vcs-field-not-canonical.
  * Add fixer for vcs-field-mismatch.
  * debhelper-tools-from-autotools-dev-are-deprecated: Don't bump
    debhelper version when not removing autotools-dev usage.
  * Sort paths so that directories get added before the files they
    contain (on VCSes where it matters).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Aug 2019 13:06:04 +0000

lintian-brush (0.20) unstable; urgency=medium

  * Fix lintian-brush when pyinotify is not installed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Aug 2019 20:28:30 +0000

lintian-brush (0.19) unstable; urgency=medium

  * Run python fixers in-process, to avoid Python interpreter and module
    loading overhead. This provides a ~30% performance improvement for
    some packages.
  * Add fixer for debhelper-tools-from-autotools-dev-are-deprecated.
  * Set User-Agent when sending HTTP requests.
  * Add fixer for vcs-obsolete-in-debian-infrastructure.
  * Check that the tree is clean before running fixers, rather than
    before each fixer.
  * Use inotify (where available) to track changes to the tree as all fixers
    are processed. This significantly speeds up runs on
    large repositories. Closes: #933777
  * Don't add both debhelper-compat and debhelper build-depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Aug 2019 20:22:35 +0000

lintian-brush (0.18) unstable; urgency=medium

  * Fix copyright fields before parsing with python-debian.
  * Add fixer for dh-clean-k-is-deprecated.
  * Handle missing bugtracker/web subkey for META.json files.
  * Upgrade debian/rules in some cases when updating to debhelper 12.
  * Don't remove debian/patches/README.
  * Use the 'Source' field in copyright files when looking for possible
    upstream repositories.
  * Don't worry about preserving all formatting for YAML files; comments
    and indentation are already preserved.
  * Allow stripping trailing whitespace from debian/copyright when modifying
    it.
  * Don't make homepage-field-uses-insecure-uri fixer fail when it can't
    access homepage over HTTPS. Closes: #933682

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 25 Jul 2019 22:05:12 +0000

lintian-brush (0.17) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Support policy version bumps from 4.3.0 to 4.4.0. Closes: #932314

  [ Jelmer Vernooĳ ]
  * Guess (with low certainty) repositories from README.
  * Add support for reading upstream metadata from META.json.
  * Add support for reading upstream metadata from META.yml files.
  * Add support for reading upstream metadata from DOAP files.
  * Add (hidden) --allow-reformatting flag.
  * Add support for Repository-Browse.
  * upstream-metadata-file-is-missing: Derive Repository-Browse from
    Repository when possible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 24 Jul 2019 22:12:00 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lintian-brush`.
